libqxp::QXPBlockParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libqxp::QXPBlockParser Class Reference

`#include <QXPBlockParser.h>`

## Public Member Functions
| QXPBlockParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, const std::shared_ptr< QXPHeader > &header)
std::shared_ptr< librevenge::RVNGInputStream > | getBlock (const uint32_t index)
std::shared_ptr< librevenge::RVNGInputStream > | getChain (const uint32_t index)

## Private Member Functions
| QXPBlockParser (const QXPBlockParser &other)=delete
QXPBlockParser & | operator= (const QXPBlockParser &other)=delete

## Private Attributes
const std::shared_ptr< librevenge::RVNGInputStream > | m_input
const std::shared_ptr< QXPHeader > | m_header
const bool | be
const unsigned long | m_length
const uint32_t | m_blockLength
const uint32_t | m_lastBlock

## Constructor & Destructor Documentation

## ◆ QXPBlockParser() [1/2]

libqxp::QXPBlockParser::QXPBlockParser | ( | const QXPBlockParser & | other | ) |
| privatedelete

## ◆ QXPBlockParser() [2/2]

libqxp::QXPBlockParser::QXPBlockParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | const std::shared_ptr< QXPHeader > & | header
| ) |  |

## Member Function Documentation

## ◆ getBlock()

std::shared_ptr< RVNGInputStream > libqxp::QXPBlockParser::getBlock | ( | const uint32_t | index | ) |

Referenced by libqxp::QXPTextParser::parseText().

## ◆ getChain()

std::shared_ptr< RVNGInputStream > libqxp::QXPBlockParser::getChain | ( | const uint32_t | index | ) |

Referenced by libqxp::QXPParser::parse(), and libqxp::QXPTextParser::parseText().

## ◆ operator=()

QXPBlockParser& libqxp::QXPBlockParser::operator= | ( | const QXPBlockParser & | other | ) |
| privatedelete

## Member Data Documentation

## ◆ be

const bool libqxp::QXPBlockParser::be
| private

Referenced by getChain().

## ◆ m_blockLength

const uint32_t libqxp::QXPBlockParser::m_blockLength
| private

Referenced by getBlock(), and getChain().

## ◆ m_header

const std::shared_ptr<QXPHeader> libqxp::QXPBlockParser::m_header
| private

Referenced by getChain().

## ◆ m_input

const std::shared_ptr<librevenge::RVNGInputStream> libqxp::QXPBlockParser::m_input
| private

Referenced by getBlock(), and getChain().

## ◆ m_lastBlock

const uint32_t libqxp::QXPBlockParser::m_lastBlock
| private

Referenced by getBlock(), and getChain().

## ◆ m_length

const unsigned long libqxp::QXPBlockParser::m_length
| private

The documentation for this class was generated from the following files:

- QXPBlockParser.h
- QXPBlockParser.cpp